package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectChangeEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractProjectChangeEntryInfo()
    {
        this("id");
    }
    protected AbstractProjectChangeEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: ·ÖÂ¼ 's µ¥¾ÝÍ· property 
     */
    public com.kingdee.eas.hr.project.ProjectChangeInfo getParent()
    {
        return (com.kingdee.eas.hr.project.ProjectChangeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.hr.project.ProjectChangeInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1315F40A");
    }
}